<?php
include('session.php');
include('connexionBDD.php');
?>

<?php
if(empty($_SESSION['bmi_cld_id'])){
    header('location: index.php');
}
?>


<?php
if(isset($_POST['valid'])){//1
    
    if(trim($_POST['height'])){
        $height = htmlspecialchars($_POST['height']);
        $height = str_replace(',', '.', $height);
        if(is_numeric($height)){
            $height_final = $height;
        }else{
            $erreur2 = "oui";
        }
        
    }else{
        $erreur1 = "oui";
    }
    
    if(trim($_POST['mass'])){
        $mass = htmlspecialchars($_POST['mass']);
        $mass = str_replace(',', '.', $mass);
        if(is_float($mass) OR is_numeric($mass)){
            $mass_final = $mass;
        }else{
            $erreur4 = "oui";
        }
        
    }else{
        $erreur3 = "oui";
    }
    
    
    if(isset($height_final) AND isset($mass_final)){//2
        
        $bmi = $mass_final/($height_final * $height_final);
        $bmi_final = round($bmi,1);
        
        if($bmi_final <= 0){
            $error = "oui";
        }else{
           if($bmi_final < 18.5){//3
                $resultat = "You are too skinny";

            } elseif($bmi_final >= 18.5 AND $bmi_final < 25){
                $resultat = "Your BMI is Satisfying ";

            } elseif($bmi_final >= 25 AND $bmi_final < 30){
                $resultat = "You have Probably some kilograms of too much";

            } elseif($bmi_final >= 30 AND $bmi_final < 40){
                $resultat = "You are Obese";

            } elseif($bmi_final >= 40){
                $resultat = "Morbid obesity";
            }//Fin 3 
        }
        
        
    }//Fin 2
    
    
    if((isset($bmi_final)) AND ($bmi_final > 0)){//4
        $reponse = $bdd->prepare ('INSERT INTO registration VALUES(null, ?, ?, ?, ?, datetime("now"))');
        $reponse->execute(array(
        $height_final,
        $mass_final,
        $bmi_final,
        $resultat));
    }//Fin 4
    
    
}//Fin 1
?>


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <?php include('head.php'); ?>
        <title>BMI calculator</title>
    </head>
    <body>
       <?php include('navbar.php'); ?>
       
       <div class="col-md-6 col-sm-6 col-xs-12 conteneur1">
          <div class="col-xs-12 div1">
              <h1>
               <b>Body Mass Index </b>
           </h1>
           <p style="font-size:18px; margin-bottom: 20px">
               Body mass index (BMI) is a value derived from the mass (weight) and height of a person. The BMI is defined as the body mass divided by the square of the body height
           </p>
           <img src="image/yoga.png" style="max-width: 80%">
          </div>
       </div>
        
        
        <div class="col-md-6 col-sm-6 col-xs-12 conteneur2">
            <div class="col-xs-12 div1">
                <h1>
                    <b>BMI Calculator</b>
                </h1>
                <div class="col-xs-12 alert" style="border: 1px solid #ccc; padding-top: 10px; padding-bottom: 10px; background-color: #eeeeee8f">
                    <form method="post">
                        <div class="col-md-6">
                           <div class="form-group <?php if(isset($erreur1)){ echo "has-error";} ?><?php if(isset($erreur2)){ echo "has-error";} ?>">
                             <label> body height</label>
                              <div class="input-group">
                                  <input type="text" class="form-control input-lg" placeholder=" body height" name="height" value="<?php if(isset($height_final)){echo $height_final;} ?>">
                                  <span class="input-group-addon">m</span>
                              </div>
                            <?php
                            if(isset($erreur2)){
                            ?>
                            <span class="help-block">character is invalid</span>
                            <?php
                            }
                            ?>
                           </div>
                        </div>
                        <div class="col-md-6">
                           <div class="form-group <?php if(isset($erreur3)){ echo "has-error";} ?><?php if(isset($erreur4)){ echo "has-error";} ?>">
                               <label>body mass</label>
                               <div class="input-group">
                                   <input type="text" class="form-control input-lg" placeholder="body mass" name="mass" value="<?php if(isset($mass_final)){echo $mass_final;} ?>">
                                   <span class="input-group-addon">kg</span>
                               </div>
                            <?php
                            if(isset($erreur4)){
                            ?>
                            <span class="help-block">character is invalid</span>
                            <?php
                            }
                            ?>
                           </div>
                        </div>
                        <div class="col-xs-12 text-right" style="padding: 0">
                            <button class="btn btn-primary btn-lg" name="valid">Calcul</button>
                        </div>
                    </form>
                </div>
                
                <?php
                if(isset($error)){
                ?>
                <div class="col-xs-12 alert" style="background-color: white; box-shadow: 0 2px 4px 0 rgba(0,0,0,.15); border-color: #ccc">
                    <h2 class="text-danger">Error body height or body mass</h2>
                </div>
                <?php
                }elseif(isset($bmi_final)){
                ?>
                <div class="col-xs-12 alert" style="background-color: white; box-shadow: 0 2px 4px 0 rgba(0,0,0,.15); border-color: #ccc">
                    <h2>Your BMI = <span class="text-success"><?php echo $bmi_final; ?></span></h2>
                    <?php echo $resultat; ?>
                </div>
                <?php
                }
                ?>
                
            </div>
        </div>
        
        
        <?php include('footer.php'); ?>
        <script>
            $(document).ready(function(){
               $('.home').addClass('active'); 
            });
        </script>
    </body>
</html>