<?php
include('session.php');
include('connexionBDD.php');
?>

<?php
if(isset($_SESSION['bmi_cld_id'])){
    header('location: home.php');
}
?>

<?php
if(isset($_GET['error'])){
    $error = $_GET['error'];
}

if(isset($_GET['success'])){
    $success = $_GET['success'];
}
?>


<?php
if(isset($_POST['valid'])){ //1
    
    unset($error);
    unset($success);
    
    if(trim($_POST['name'])){
        $nom = htmlspecialchars($_POST['name']);
        $name = strtolower($nom);
    } else {
        $erreur1 = "oui";
    }
    
    if(trim($_POST['password'])){
        $passe = htmlspecialchars($_POST['password']);
        $length = strlen($passe);
        
        if($length > 3){
            $password = sha1($passe);
        }else{
            $erreur3 = "oui";
        }
        
    } else {
        $erreur2 = "oui";
    }
    
    
    if(isset($name) AND isset($password)){ //2
        
        $reponse = $bdd->prepare ('SELECT name FROM users WHERE name = ?');
        $reponse->execute(array($name));
        $donnee = $reponse->fetch();
        
        if($donnee){
            header('location: register.php?error');
        }else{
            $reponse = $bdd->prepare ('INSERT INTO users VALUES(null, ?, ?, datetime("now"))');
            $reponse->execute(array(
            $name,
            $password));

            header('location:register.php?success');
        }
        
    }//Fin 2
    
} //Fin 1
?>


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <?php include('head.php'); ?>
        <title>BMI register</title>
    </head>
    <body>
       <?php include('navbar.php'); ?>
       
       <div class="col-md-6 col-sm-6 col-xs-12 conteneur1">
          <div class="col-xs-12 div1">
              <h1>
               <b>Body Mass Index </b>
           </h1>
           <p style="font-size:18px; margin-bottom: 20px">
               Body mass index (BMI) is a value derived from the mass (weight) and height of a person. The BMI is defined as the body mass divided by the square of the body height
           </p>
           <img src="image/yoga.png" style="max-width: 80%">
          </div>
       </div>
        
        
        <div class="col-md-6 col-sm-6 col-xs-12 conteneur2">
            <div class="col-xs-12 div1">
               
               <?php
                if(isset($error)){
                ?>
                <div class="alert alert-danger">
                   <button type="button" class="close" data-dismiss="alert">&times;</button>
                    this username is already used
                </div>
                <?php
                }
                ?>
                
                <?php
                if(isset($success)){
                ?>
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                    Congratulation, your enrollment has been done<br/>
                    you can <a href="index.php" class="alert-link">log in</a> now
                </div>
                <?php
                }
                ?>
               
                <h1>
                    <b>Register</b>
                </h1>
                <div class="col-xs-12 alert" style="border: 1px solid #ccc; padding-top: 10px; padding-bottom: 10px; background-color: #eeeeee8f">
                    <form method='post'>
                        <div class="form-group <?php if(isset($erreur1)){ echo "has-error";} ?>">
                            <label>User name</label>
                            <input type="text" class="form-control input-lg" name="name" placeholder="User name" value="<?php if(isset($name)){echo $name;} ?>">
                        </div>
                        <div class="form-group <?php if(isset($erreur2)){ echo "has-error";} ?><?php if(isset($erreur3)){ echo "has-error";} ?>">
                            <label>password</label>
                            <input type="password" class="form-control input-lg" name="password" placeholder="*****************"  min="4">
                            <?php
                            if(isset($erreur3)){
                            ?>
                            <span class="help-block">Min character 4</span>
                            <?php
                            }
                            ?>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary btn-lg" name="valid">Register</button>
                        </div>
                    </form>
                </div>
                
                
            </div>
        </div>
        
        
        <?php include('footer.php'); ?>
        
        <script>
            $(document).ready(function(){
               $('.register').addClass('active'); 
            });
        </script>
    </body>
</html>