<?php
include('session.php');
include('connexionBDD.php');
?>

<?php
if(empty($_SESSION['bmi_cld_id'])){
    header('location: index.php');
}
?>

<?php
if(isset($_GET['sup'])){
    $requete = $bdd->prepare('DELETE FROM registration WHERE id = ?');
    $requete->execute(array($_GET['sup']));
    header('location: registration.php');
}
?>


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <?php include('head.php'); ?>
        <title>BMI calculator</title>
    </head>
    <body>
       <?php include('navbar.php'); ?>
       
       <div class="col-md-5 col-sm-5 col-xs-12 conteneur1">
          <div class="col-xs-12 div1">
              <h1>
               <b>Body Mass Index </b>
           </h1>
           <p style="font-size:18px; margin-bottom: 20px">
               Body mass index (BMI) is a value derived from the mass (weight) and height of a person. The BMI is defined as the body mass divided by the square of the body height
           </p>
           <img src="image/yoga.png" style="max-width: 80%">
          </div>
       </div>
        
        
        <div class="col-md-7 col-sm-7 col-xs-12 conteneur2">
            <div class="col-xs-12 div2">
                <h1>
                    <b>My registration</b>
                </h1>
                
                <table class="table table-bordered table-striped" style="margin-top: 20px">
                   <thead>
                       <tr class="info">
                           <th>Body height</th>
                           <th>Body mass</th>
                           <th>BMI</th>
                           <th>Result</th>
                           <th>Date</th>
                           <th>Action</th>
                       </tr>
                   </thead>
                   <tbody>
                    <?php
                    $req=$bdd->query('SELECT * FROM registration ORDER BY id DESC');
                    while($reponse=$req->fetch()){
                    ?>
                    <tr>
                        <td><?php echo $reponse['height']; ?></td>
                        <td><?php echo $reponse['mass']; ?></td>
                        <td><?php echo $reponse['result']; ?></td>
                        <td><?php echo $reponse['description']; ?></td>
                        <td><?php echo $reponse['created_at']; ?></td>
                        <td>
                            <a href="?sup=<?php echo $reponse['id'] ?>" class="btn btn-danger" title="Supprimer" onclick="return confirm('Are you sure you want to delete ?');" data-toggle="tooltip" title="Delete">
                                <i class="fa fa-trash-o"></i>
                            </a>
                        </td>
                    </tr>
                   <?php
                    }
                    ?>
                   </tbody>
               </table>
            </div>
        </div>
        
        
        <?php include('footer.php'); ?>
        
        <script>
            $(document).ready(function(){
               $('.registration').addClass('active'); 
            });
        </script>
        
        <script>
            $(document).ready(function(){
                $(function (){
                    $('a').tooltip();
                });
            });
        </script>
    </body>
</html>